USNS GRASP (T-ARS 51) Solicitation

Closed Solicitation Posted

This opportunity was awarded. See the award notice from .

Solicitation number
N3220520R7008
Agency
Military Sealift Command Department of the Navy, Department of Defense
Responses due
Set-aside
No set-aside

Opportunity facts

NAICS code
336611 Ship Building and Repairing
PSC
J999 Non-Nuclear Ship Repair (West)
Place of performance
USA

Notice details come from SAM.gov. Updated .

About this opportunity

This solicitation seeks maintenance, repair, and overhaul services for the USNS GRASP (T-ARS 51) to be performed during its fiscal year 2021 mid-term availability period. The Department of the Navy Military Sealift Command is procuring these services and will evaluate proposals based on price, past performance, and technical approach. Proposals are due by December 2, 2020 and the period of performance is 60 days from actual start date. The solicitation was amended three times to extend deadlines, revise work items, and answer contractor questions.

There is no set-aside designated for this procurement. The primary NAICS code is 336611 and PSC code is J998 for ship repair and alteration services. The estimated value is between $5-10 million to be awarded as a fixed-price contract. Work is to be performed at the contractor's shipyard and potential incumbent contractors were not identified. Interport differentials ranging from $91,008 to over $1 million are specified for work at various west coast, Gulf coast, and Hawaiian ports.

Notice text

4 versions

Update #4 · Latest ·

USNS GRASP (T-ARS 51) FY21 Mid-Term Availability Amendment 0003

The purpose of this amendment is too:

A. Provide a revised J-2 Document

B. Extend the Final Proposal time to December 2, 2020 at 1:00PM local time.

C. Change the start date to the Period of Performance from 13 January 2021 to 13 February 2021.

Update #3 ·

USNS GRASP (T-ARS 51) FY21 Mid-Term Availability Amendment 0002

The purpose of this amendment is too:

A. Extend Solicitation due date and time to October 20, 2020 at 6:00PM local time. 

B. Remove WI 0108 Superstructure and Decking Preservation from the GRASP MTA work package.

C. Provide revised WI 0654 - Rescue Boat and Davit Service

D. Answers to Request for Clarification 006 through 023.

Update #2 ·

USNS GRASP (T-ARS 51) FY21 Mid-Term Availability Amendment 0001

The purpose of this amendment is too:

A. Provide a revised J-10 Interport Differential document.

B. Provide revised work items 0108 and 0202.

C. Provide Enclosure 2.2.1 GRASP MSIL 2019.

D. Answers to Request for Clarification 001 through 005.

Update #1 ·

USNS GRASP (T-ARS 51) FY21 Mid-Term Availability.

Attachments

Files attached to this notice, newest first
File Type Posted
USNS GRASP Amendment 003.pdf PDF
GRASP J-2 (Revised).xlsx XLSX spreadsheet
Galley Test Report GRASP.pdf PDF
SEBU5698-03-01-ALL.pdf PDF
S9311-A1-MMM-010(SHIP SERVICE GENERATOR).pdf PDF
SEBU6102_0_0.pdf PDF
Amendment 0002 RFCs.zip ZIP file
GALLEY RANGEHOOD SYSTEM TEST REPORT - USNS GRASP 2020.pdf PDF
WI 0654 Rescue Boat Davit Service Revised.doc DOC document
References 0570.zip ZIP file
USNS GRASP FY21 MTA Amendment 0002.pdf PDF
S9311-A1-MMM-020_0_A (2).pdf PDF
Enclosure 2.2.1 GRASP MSIL 2019.xls XLS spreadsheet
RFC 001 - Revised J-10 IDP.docx DOCX document
USNS GRASP Amendment 0001.pdf PDF
RFC 003 - WI 202 and 561.docx DOCX document
0108_B_SUPERSTRUCTURE AND DECKING PRESERVATION Rev 1.doc DOC document
RFC 002 - Revised WI 0108.docx DOCX document
RFC 005 - Ship Check.docx DOCX document
0202_A_ Reduction Gear Clutch and Brake Inspections Rev 1_Specification.doc DOC document
RFC 004 - WI 561 Gauge List.docx DOCX document
GRASP J-10 Interport Differential.docx DOCX document
GRASP J-3 Category B Items 20R7008.xlsx XLSX spreadsheet
GRASP J-2 Category A Items 20R7008.xlsx XLSX spreadsheet
GRASP J-7 MSC Ship Repair Facility Survey.docx DOCX document
GRASP J-10 Interport Differential.docx DOCX document
GRASP J-9 Disclosure of Lobbying Activities SF-LLL.docx DOCX document
GRASP J-8 Request for Spec Clarification.docx DOCX document
GRASP J-13 Past Performance Questionnaire.docx DOCX document
J-4 GFP USNS GRASP.xlsx XLSX spreadsheet
GRASP J-14 Technical Data Non-Disclosure.docx DOCX document
GRASP J-12 Past Performance Data.docx DOCX document
USNS GRASP FY21 Solicitation 20R7008.pdf PDF
GRASP J-6 CDRLs.zip ZIP file
GRASP JA Redacted.pdf PDF
Show all 35

Notice history

Notices posted for this opportunity, newest first
Notice Type Posted
USNS GRASP (T-ARS 51) Award Notice Award Award Notice
USNS GRASP (T-ARS 51) Solicitation This notice · Latest solicitation Solicitation
USNS GRASP (T-ARS 51) Synopsis Original Pre-Solicitation

On GovTribe

Work this opportunity on GovTribe

  • Track it in your pipeline
  • Find teaming partners
  • Similar opportunities
  • Ask GovTribe AI about this opportunity